﻿@model WebApp.MVC.ViewModels.RegisterViewModel
@{
    ViewBag.Title = "Register";
    Layout = "~/Views/Shared/Metr0n1c/_Metr0n1c.4.login2.cshtml";
}
@using (Html.BeginForm("Register", "Account", FormMethod.Post, new { @class = "register-form", role = "form" }))
{
    @Html.AntiForgeryToken()
    @Html.ValidationSummary("", new { @class = "text-danger" })
    <div class="form-title">
        <span class="form-title">@SYM.Localization.Resources.Views.Authentication.Login.SignUp <i class="fa fa-coffee"></i></span>
    </div>
    <p class="hint">
        @SYM.Localization.Resources.Views.Authentication.Login.EnterPersonalDetails
    </p>
    <div class="form-group">
        <label class="control-label visible-ie8 visible-ie9">@SYM.Localization.Resources.Views.Authentication.Login.FirstName</label>
        @Html.TextBoxFor(m => m.FirstName, new { @class = "form-control placeholder-no-fix", @placeholder= SYM.Localization.Resources.Views.Authentication.Login.FirstName })
    </div>
    <div class="form-group">
        <label class="control-label visible-ie8 visible-ie9">@SYM.Localization.Resources.Views.Authentication.Login.LastName</label>
        @Html.TextBoxFor(m => m.LastName, new { @class = "form-control placeholder-no-fix", @placeholder = SYM.Localization.Resources.Views.Authentication.Login.LastName })
    </div>
    <div class="form-group">
        <!--ie8, ie9 does not support html5 placeholder, so we just show field title for that-->
        <label class="control-label visible-ie8 visible-ie9">Email</label>
        @Html.TextBoxFor(m => m.Email, new { @class = "form-control placeholder-no-fix", @placeholder = "Email" })
    </div>
    <div class="form-group">
        <label class="control-label visible-ie8 visible-ie9">@SYM.Localization.Resources.Views.Authentication.Login.Country</label>
        <select id="country" name="Country" class="form-control bs-select" required="required" placeholder="@SYM.Localization.Resources.Views.Authentication.Login.Country">
            <option value="116" selected>Italy</option>
            <option value="217">Switzerland</option>
            @*<option value="65">France</option>*@
        </select>
    </div>
    <div class="form-group">
        <label class="control-label visible-ie8 visible-ie9">@SYM.Localization.Resources.Views.Authentication.Login.Region</label>
        <select id="region" name="Region" class="form-control select2">
            <option value=""></option>
        </select>
    </div>
    <p class="hint">
        @SYM.Localization.Resources.Views.Authentication.Login.EnterAccountDetails
    </p>
    <div class="form-group">
        <label class="control-label visible-ie8 visible-ie9">Username</label>
        <div class="input-group">
            @*<input class="form-control placeholder-no-fix" type="text" autocomplete="off" placeholder="Username" name="UserName" required="required" />*@
            @Html.TextBoxFor(m => m.UserName, new { @class = "form-control placeholder-no-fix", @placeholder = "Username", @autocomplete = "off" })
            <span class="input-group-addon">
                <i class="fa fa-user"></i>
            </span>
        </div>
    </div>
    <div class="form-group">
        <label class="control-label visible-ie8 visible-ie9">Password</label>
        <div class="input-group">
            @Html.PasswordFor(m => m.Password, new { @class = "form-control placeholder-no-fix", @placeholder = "Password", @autocomplete = "off", id = "register_password" })
            <span class="input-group-addon">
                <i class="fa fa-lock"></i>
            </span>
        </div>
    </div>
    <div class="form-group">
        <label class="control-label visible-ie8 visible-ie9">@SYM.Localization.Resources.Views.Authentication.Login.ReTypePassword</label>
        <div class="input-group">
            <input class="form-control placeholder-no-fix" type="password" autocomplete="off" placeholder="@SYM.Localization.Resources.Views.Authentication.Login.ReTypePassword" name="ConfirmPassword" required="required" />
            <span class="input-group-addon">
                <i class="fa fa-lock"></i>
            </span>
        </div>
    </div>
    <div class="form-group margin-top-20 margin-bottom-20">
        <label class="check">
            <input type="checkbox" name="tnc" />
            <span class="loginblue-font">I agree to the </span>
            <a href="/it/privacy" class="loginblue-link" target="_blank">Terms of Service</a>
            <span class="loginblue-font">and</span>
            <a href="/it/privacy" class="loginblue-link" target="_blank">Privacy Policy </a>
        </label>
        <div id="register_tnc_error">
        </div>
    </div>
    <div class="form-actions">
        <a href="@Url.Action("Login", "Account")" class="btn btn-danger uppercase">Back</a>
        <button type="submit" id="register-submit-btn" class="btn btn-danger uppercase pull-right">@SYM.Localization.Resources.Views.Authentication.Login.Submit</button>
    </div>
}
<!-- END REGISTRATION FORM -->


@section scripts {
    <script type="text/javascript">
        var ComponentsBootstrapSelect = function () {
            var handleBootstrapSelect = function () {
                $('.bs-select').selectpicker({
                    iconBase: 'fa',
                    tickIcon: 'fa-check'
                });
            }
            return {
                //main function to initiate the module
                init: function () {
                    handleBootstrapSelect();
                    $('.login').backstretch([
			            "/Content/images/bg/photo-login-min.jpg",
                        "/Content/images/bg/photo-10-min.jpg",
                        "/Content/images/bg/photo-11-min.jpg"
                    ], {
                        fade: 2000,
                        duration: 8000
                    });
                }
            };

        }();

        jQuery(document).ready(function () {
            ComponentsBootstrapSelect.init();

            $('#region').select2({
                minimumInputLength: 1,
                quietMillis: 200,
                placeholder: '@SYM.Localization.Resources.Views.Authentication.Login.Region',
                ajax: {
                    url: '/api/autocomplete/GetRegion',
                    dataType: 'json',
                    type: "POST",
                    data: function (params) {
                        return {
                            p_term: params.term, // search term
                            p_countryid: $("#country").val()
                        };
                    },
                    params: { // extra parameters that will be passed to ajax
                        contentType: 'application/json; charset=UTF-8'
                    },
                    processResults: function (data, page) {
                        return {
                            results: $.map(data, function (item) {
                                return {
                                    id: item.id,
                                    text: item.name
                                };
                            })
                        };
                    },
                    cache: true
                },
                escapeMarkup: function (m) { return m; }
            });
        });

       
    </script>
}